Subject: Wanted: Heat shield for my old A.I. Root Smoker

From: [email-masked]
Date: Thu, 12 Dec 1996 14:23:34 GMT

I use an old  A.I. ROOT Co smoker,  given to me by my bee mentor.

This is a 3 1/2" & 7" smoker (modern smokers have 4" barrels) and I do not have
the heat shield.,  I have burned myself a couple of times on the barrel and
would like to prevent that in the future..

I contacted the  A.I Root Co and they said this unit has been out of production
for about  20 years, and they have no heat shields..

Does anyone have an old (A.I. Root) smoker that has a heat shield they would be
willing to part with ?

The  unit is certainly not  worth much in dollars, but it has sentimental value
to me and I would prefer to keep it and keep using it.

Thanks

Charles
[email-masked]